# About
*steelas* is a Python package with tools to support research and design of Australian steel structures. It can be used to determine the material properties, section properties, and design capacities for structural members as per Australian Standard AS4100:2020 (Steel Structures). 

# Documentation
Detailed information on *steelas* is available in package documentation at [steelas.readthedocs.io](https://steel-as.readthedocs.io/). This includes project background, examples, and an API reference guide.

# Installation
*steelas* can be installed from the Python Package index:
```
pip install steelas
```

For more detailed instructions, please refer to the [documentation]([https://steel-as.readthedocs.io]).

# Current Features
- **Section and component library**: define sections and calculate section properties from typical Australian steel products and components, or from custom user input. 
- **Material library**: create steel materials from typical Australian grade classifications.
- **Design capacity calculations**: solve the design capacities of structural steel members following AS4100 design methods.

# Questions, Feedback, and Contributions 
If you have questions, feedback, or suggestions for further development, please email [Joe Gattas](https://researchers.uq.edu.au/researcher/9443) or create an issue on the *steelas* github repository.

Similarly, if you find any bugs, or are interested to contribute to the project, please create an issue or email Joe.


# License 
*steelas* is an open source engineering tool provided under an MIT License. Please refer to the [LICENSE](./LICENSE.md) file for more information. 

Please note that this software has been developed by student and academic engineering researchers, NOT by chartered or registered engineers. 

# Acknowledgements
This package has been developed from research projects supported by the [University of Queensland](https://civil.uq.edu.au/).

If you use *steelas* for projects or scientific publications, please consider citing our work.

