# About

*steelas* is a Python package developed to support research and design of Australian steel structures. It can be used to determine the section properties, materials properties, and design capacities for structural members as per Australian Standard AS4100:2020 (Steel Structures). 

*steelas* is developed by [Yuyu Wang](https://github.com/wyy0990), [Joe Gattas](https://researchers.uq.edu.au/researcher/9443),  and research collaborators at the [University of Queensland](https://civil.uq.edu.au/).

# Contents
- [Installation](install.md)
- Tutorials
    - [Quick Start](tutorial-1.md)
    - [Geometry and Material](tutorial-2.md)
    - [Tension and Compression Capacity](tutorial-3.md)
- [API Reference](reference.md)


# Support
Please see the project [Github repository](https://github.com/Folded-Structures-Lab/steel-as) and README file for the latest updates and issues. 

# License
*steelas* is provided under an MIT License. Please refer to the project Github repository and LICENSE file for more information. 


# Acknowledgements
This package has been developed from research projects supported by the [University of Queensland](https://civil.uq.edu.au/).

If you use *steelas* for projects or scientific publications, please consider citing our journal paper:
> Wang, Y., Bottazzi, V.S., & Gattas, J. M. (2024). A novel framework for set-based steel connection design automation. *Computers and Structures*. [doi:10.1016/j.compstruc.2024.107366](https://doi.org/10.1016/j.compstruc.2024.107366).


## Contributors: 

- [Dr Joe Gattas](https://researchers.uq.edu.au/researcher/9443)
- [Yuyu Wang](https://github.com/wyy0990)